<?php
/**
 * Menu Items
 * All Project Menu
 * @category  Menu List
 */

class Menu{
	
	
			public static $navbartopleft = array(
		array(
			'path' => 'home', 
			'label' => 'Home', 
			'icon' => ''
		),
		
		array(
			'path' => 'user_info', 
			'label' => 'Login', 
			'icon' => ''
		),
		
		array(
			'path' => 'salary_sheet', 
			'label' => 'Salary Management', 
			'icon' => '',
'submenu' => array(
		array(
			'path' => 'portfolio/Index', 
			'label' => 'SalaryManagement', 
			'icon' => ''
		),
		
		array(
			'path' => 'portfolio', 
			'label' => 'Portfolio Creation', 
			'icon' => ''
		),
		
		array(
			'path' => 'portfolio_configurations', 
			'label' => 'Portfolio Configurations', 
			'icon' => ''
		),
		
		array(
			'path' => 'employee_details', 
			'label' => 'Employee Data', 
			'icon' => ''
		),
		
		array(
			'path' => 'salary_sheet', 
			'label' => 'Salary Report', 
			'icon' => ''
		),
		
		array(
			'path' => 'salary_data/colwise', 
			'label' => 'Salary Special Reports', 
			'icon' => '',
'submenu' => array(
		array(
			'path' => 'salary_data/colwise', 
			'label' => 'Coloumn Wise', 
			'icon' => ''
		),
		
		array(
			'path' => 'salary_data/bank_salarywise', 
			'label' => 'Bank Wise', 
			'icon' => ''
		),
		
		array(
			'path' => 'salary_data/multivar_report', 
			'label' => 'Multivariable Report', 
			'icon' => ''
		),
		
		array(
			'path' => 'salary_data/colwise2', 
			'label' => 'ColoumWise With Department', 
			'icon' => ''
		)
	)
		),
		
		array(
			'path' => 'month_locking', 
			'label' => 'Month Locking', 
			'icon' => ''
		),
		
		array(
			'path' => 'suspension', 
			'label' => 'Suspension', 
			'icon' => '',
'submenu' => array(
		array(
			'path' => 'suspension', 
			'label' => 'Suspension', 
			'icon' => ''
		),
		
		array(
			'path' => 'suspension_configuration', 
			'label' => 'Suspension Configuration', 
			'icon' => ''
		)
	)
		),
		
		array(
			'path' => 'absent_count', 
			'label' => 'Absent Count', 
			'icon' => ''
		),
		
		array(
			'path' => 'employee_details/retirementreport', 
			'label' => 'Retirement Report', 
			'icon' => ''
		),
		
		array(
			'path' => 'employee_details/employee_slip', 
			'label' => 'Salary Slip Admin', 
			'icon' => ''
		)
	)
		),
		
		array(
			'path' => 'variable_values', 
			'label' => 'Variable Report Values', 
			'icon' => '',
'submenu' => array(
		array(
			'path' => 'variable_values', 
			'label' => 'Variable Values', 
			'icon' => ''
		),
		
		array(
			'path' => 'multiple_values', 
			'label' => 'Multiple Values', 
			'icon' => ''
		)
	)
		),
		
		array(
			'path' => 'organization', 
			'label' => 'Organization', 
			'icon' => '',
'submenu' => array(
		array(
			'path' => 'organization', 
			'label' => 'Organization', 
			'icon' => ''
		),
		
		array(
			'path' => 'report_header_footer', 
			'label' => 'Report Header Footer', 
			'icon' => ''
		),
		
		array(
			'path' => 'duplicate_portfolio', 
			'label' => 'Duplicate Portfolio', 
			'icon' => ''
		)
	)
		),
		
		array(
			'path' => 'absent_in_out', 
			'label' => 'Absent In Out', 
			'icon' => '',
'submenu' => array(
		array(
			'path' => 'absent_in_out/Index', 
			'label' => 'Absent In Out', 
			'icon' => ''
		),
		
		array(
			'path' => 'absent_in_out/absenttoday', 
			'label' => 'Absenttoday', 
			'icon' => ''
		)
	)
		),
		
		array(
			'path' => 'payscale_masters', 
			'label' => 'Masters', 
			'icon' => '',
'submenu' => array(
		array(
			'path' => 'payscale_masters', 
			'label' => 'Payscale Master', 
			'icon' => ''
		),
		
		array(
			'path' => 'bank_name', 
			'label' => 'Bank Master', 
			'icon' => ''
		),
		
		array(
			'path' => 'designation_master', 
			'label' => 'Designation Master', 
			'icon' => ''
		),
		
		array(
			'path' => 'department_master', 
			'label' => 'Department Master', 
			'icon' => ''
		),
		
		array(
			'path' => 'employee_type_master', 
			'label' => 'Employee Type Master', 
			'icon' => ''
		),
		
		array(
			'path' => 'leave_master', 
			'label' => 'Leave Master', 
			'icon' => ''
		)
	)
		),
		
		array(
			'path' => 'custom_calender', 
			'label' => 'Custom Calender', 
			'icon' => ''
		),
		
		array(
			'path' => 'autorization', 
			'label' => 'Autorization', 
			'icon' => '',
'submenu' => array(
		array(
			'path' => 'autorization', 
			'label' => 'SetUp', 
			'icon' => ''
		),
		
		array(
			'path' => 'accept_reject_profile_reposition', 
			'label' => 'Authorize Repositioning', 
			'icon' => ''
		),
		
		array(
			'path' => 'user_profile_reposition', 
			'label' => 'Reposition', 
			'icon' => ''
		),
		
		array(
			'path' => 'report_lables', 
			'label' => 'Report Lables', 
			'icon' => ''
		),
		
		array(
			'path' => 'delete_profile', 
			'label' => 'Delete Profile Request', 
			'icon' => ''
		),
		
		array(
			'path' => 'delete_profile_accept_reject', 
			'label' => 'Authorize Delete Profile ', 
			'icon' => ''
		)
	)
		),
		
		array(
			'path' => 'home', 
			'label' => 'Leave Management', 
			'icon' => '',
'submenu' => array(
		array(
			'path' => 'leave_requests', 
			'label' => 'Leave Requests', 
			'icon' => ''
		),
		
		array(
			'path' => 'leave_holidays', 
			'label' => 'Leave Holidays', 
			'icon' => ''
		),
		
		array(
			'path' => 'leave_grant', 
			'label' => 'Leave Grant', 
			'icon' => ''
		),
		
		array(
			'path' => 'leave_calendar', 
			'label' => 'Leave Calendar', 
			'icon' => ''
		),
		
		array(
			'path' => 'leave_granter', 
			'label' => 'Leave Profile Wise Granter', 
			'icon' => ''
		),
		
		array(
			'path' => 'leave_requests/adminlist', 
			'label' => 'Admin Authorization', 
			'icon' => ''
		),
		
		array(
			'path' => 'leave_requests/leavecertificate', 
			'label' => 'Leave Certificate', 
			'icon' => ''
		),
		
		array(
			'path' => 'leave_requests_accept_reject', 
			'label' => 'Leave Requests Accept Reject', 
			'icon' => ''
		),
		
		array(
			'path' => 'leave_requests/adminlistadd', 
			'label' => 'Admin Add Leave Employee', 
			'icon' => ''
		)
	)
		),
		
		array(
			'path' => 'leave_grant/userlist', 
			'label' => 'Pending Leaves', 
			'icon' => ''
		),
		
		array(
			'path' => 'salary_sheet/salary_slip', 
			'label' => 'Salary Slip', 
			'icon' => '<i class="fa fa-file "></i>'
		)
	);
		
	
	
			public static $month = array(
		array(
			"value" => "1", 
			"label" => "January", 
		),
		array(
			"value" => "2", 
			"label" => "February", 
		),
		array(
			"value" => "3", 
			"label" => "March", 
		),
		array(
			"value" => "4", 
			"label" => "April", 
		),
		array(
			"value" => "5", 
			"label" => "May", 
		),
		array(
			"value" => "6", 
			"label" => "June", 
		),
		array(
			"value" => "7", 
			"label" => "July", 
		),
		array(
			"value" => "8", 
			"label" => "August", 
		),
		array(
			"value" => "9", 
			"label" => "September", 
		),
		array(
			"value" => "10", 
			"label" => "October", 
		),
		array(
			"value" => "11", 
			"label" => "November", 
		),
		array(
			"value" => "12", 
			"label" => "December", 
		),);
		
			public static $allowance_or_deductions = array(
		array(
			"value" => "allowance", 
			"label" => "Allowance", 
		),
		array(
			"value" => "deductions", 
			"label" => "Deductions", 
		),
		array(
			"value" => "constant", 
			"label" => "Basic Pay", 
		),
		array(
			"value" => "basic_pay_after_absent", 
			"label" => "Basic Pay After Absent", 
		),
		array(
			"value" => "no_of_days", 
			"label" => "No_Of_Days", 
		),);
		
			public static $calculation_type = array(
		array(
			"value" => "plain_value", 
			"label" => "Plain Value", 
		),
		array(
			"value" => "prct", 
			"label" => "Percentage", 
		),
		array(
			"value" => "absent_deduct", 
			"label" => "Absent Deduct", 
		),
		array(
			"value" => "variable", 
			"label" => "Variable (EMPLOYEE WISE)", 
		),
		array(
			"value" => "multivariable", 
			"label" => "Multi variable (LICS,LOAN ACC NOS)", 
		),
		array(
			"value" => "suspend", 
			"label" => "Suspend Deduct", 
		),
		array(
			"value" => "mul_or_divide", 
			"label" => "Multiply C1*C2 or Divide C1/C2", 
		),);
		
			public static $prct_value_operation = array(
		array(
			"value" => "Add", 
			"label" => "Add", 
		),
		array(
			"value" => "Substract", 
			"label" => "Substract", 
		),
		array(
			"value" => "Multiply", 
			"label" => "Multiply", 
		),
		array(
			"value" => "Divide", 
			"label" => "Divide", 
		),);
		
			public static $show_col = array(
		array(
			"value" => "yes", 
			"label" => "yes", 
		),
		array(
			"value" => "no", 
			"label" => "no", 
		),);
		
			public static $calculation_type2 = array(
		array(
			"value" => "plain_value", 
			"label" => "Plain Value", 
		),
		array(
			"value" => "prct", 
			"label" => "Percentage", 
		),
		array(
			"value" => "absent_deduct", 
			"label" => "Absent Deduct", 
		),
		array(
			"value" => "variable", 
			"label" => "Variable (EMPLOYEE WISE)", 
		),
		array(
			"value" => "multivariable", 
			"label" => "Multi variable (LICS,LOAN ACC NOS)", 
		),
		array(
			"value" => "suspend", 
			"label" => "Suspend Deduct", 
		),);
		
			public static $prct_value_operation2 = array(
		array(
			"value" => "Add", 
			"label" => "Add", 
		),
		array(
			"value" => "Substract", 
			"label" => "Substract", 
		),);
		
			public static $gender = array(
		array(
			"value" => "Male", 
			"label" => "Male", 
		),
		array(
			"value" => "Female", 
			"label" => "Female", 
		),
		array(
			"value" => "Others", 
			"label" => "Others", 
		),);
		
			public static $handicapped = array(
		array(
			"value" => "NO", 
			"label" => "NO", 
		),
		array(
			"value" => "YES", 
			"label" => "YES", 
		),);
		
			public static $service_book = array(
		array(
			"value" => "YES", 
			"label" => "YES", 
		),
		array(
			"value" => "NO", 
			"label" => "NO", 
		),);
		
			public static $suspension_type = array(
		array(
			"value" => "RETIRED", 
			"label" => "RETIRED", 
		),
		array(
			"value" => "FAMILY PENSION", 
			"label" => "FAMILY PENSION", 
		),
		array(
			"value" => "SUSPENDED", 
			"label" => "SUSPENDED", 
		),);
		
			public static $attendance_type = array(
		array(
			"value" => "ATTENDANCE", 
			"label" => "ATTENDANCE", 
		),
		array(
			"value" => "LUNCH", 
			"label" => "LUNCH", 
		),);
		
			public static $in_out = array(
		array(
			"value" => "IN", 
			"label" => "IN", 
		),
		array(
			"value" => "OUT", 
			"label" => "OUT", 
		),);
		
			public static $status_acc = array(
		array(
			"value" => "ACCEPT", 
			"label" => "ACCEPT", 
		),
		array(
			"value" => "REJECT", 
			"label" => "REJECT", 
		),);
		
			public static $holiday_type = array(
		array(
			"value" => "NORMAL HOLIDAY", 
			"label" => "NORMAL HOLIDAY", 
		),);
		
			public static $day = array(
		array(
			"value" => "2", 
			"label" => "Monday", 
		),
		array(
			"value" => "3", 
			"label" => "Tuesday", 
		),
		array(
			"value" => "4", 
			"label" => "Wednesday", 
		),
		array(
			"value" => "5", 
			"label" => "Thursday", 
		),
		array(
			"value" => "6", 
			"label" => "Friday", 
		),
		array(
			"value" => "7", 
			"label" => "Saturday", 
		),
		array(
			"value" => "1", 
			"label" => "Sunday", 
		),);
		
			public static $consider = array(
		array(
			"value" => "PRESENT", 
			"label" => "PRESENT", 
		),
		array(
			"value" => "ABSENT", 
			"label" => "ABSENT", 
		),);
		
}